org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class TailTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.TailTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.TailTest.Traversals

- Enclosing class:
    TailTest

      public static class TailTest.Traversals
      extends TailTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.TailTest

      `TailTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()`
    `Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()`
    `Traversal<Vertex,List<String>>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()`
    `Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_tailX7X()`
    `Traversal<Vertex,Long>` | `get_g_V_repeatXin_outX_timesX3X_tailX7X_count()`
    `Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tail()`
    `Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailX2X()`
    `Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailX7X()`
    `Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailXglobal_2X()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.TailTest

      `g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX, g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X, g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X, g_V_repeatXbothX_timesX3X_tailX7X, g_V_repeatXin_outX_timesX3X_tailX7X_count, g_V_valuesXnameX_order_tail, g_V_valuesXnameX_order_tailX2X, g_V_valuesXnameX_order_tailX7X, g_V_valuesXnameX_order_tailXglobal_2X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_valuesXnameX_order_tailXglobal_2X

          public Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailXglobal_2X()

      Specified by:
        `get_g_V_valuesXnameX_order_tailXglobal_2X` in class `TailTest`

    - #### get_g_V_valuesXnameX_order_tailX2X

          public Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailX2X()

      Specified by:
        `get_g_V_valuesXnameX_order_tailX2X` in class `TailTest`

    - #### get_g_V_valuesXnameX_order_tail

          public Traversal<Vertex,String> get_g_V_valuesXnameX_order_tail()

      Specified by:
        `get_g_V_valuesXnameX_order_tail` in class `TailTest`

    - #### get_g_V_valuesXnameX_order_tailX7X

          public Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailX7X()

      Specified by:
        `get_g_V_valuesXnameX_order_tailX7X` in class `TailTest`

    - #### get_g_V_repeatXbothX_timesX3X_tailX7X

          public Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_tailX7X()

      Specified by:
        `get_g_V_repeatXbothX_timesX3X_tailX7X` in class `TailTest`

    - #### get_g_V_repeatXin_outX_timesX3X_tailX7X_count

          public Traversal<Vertex,Long> get_g_V_repeatXin_outX_timesX3X_tailX7X_count()

      Specified by:
        `get_g_V_repeatXin_outX_timesX3X_tailX7X_count` in class `TailTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X

          public Traversal<Vertex,List<String>> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X` in class `TailTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X

          public Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X` in class `TailTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX

          public Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX` in class `TailTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X

          public Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X` in class `TailTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X` in class `TailTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X` in class `TailTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.